"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PactFactory = void 0;
const common_1 = require("@nestjs/common");
const pact_1 = require("@pact-foundation/pact");
const pact_module_providers_enum_1 = require("../common/pact-module-providers.enum");
let PactFactory = class PactFactory {
    constructor(options) {
        this.options = options;
    }
    createContractBetween(sides) {
        const { provider, consumer } = sides;
        return new pact_1.Pact(Object.assign({ consumer,
            provider }, this.options));
    }
};
PactFactory = __decorate([
    common_1.Injectable(),
    __param(0, common_1.Inject(pact_module_providers_enum_1.PactModuleProviders.ConsumerOptions)),
    __metadata("design:paramtypes", [Object])
], PactFactory);
exports.PactFactory = PactFactory;
//# sourceMappingURL=pact-factory.service.js.map